#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Copyright 2004, @Last Software, Inc.
# Updated Dec. 2007 by Fredo6

# This software is provided as an example of using the Ruby interface to SketchUp.

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name		:   Bezierspline.rb
# Type		:   Sketchup Tool
# Description	:   A tool to create and edit Bezier, Cubic Bezier, Polyline and other mathematical curves.
# Menu Item	:   Draw --> one menu item for each curve type
# Context Menu	:   Edit xxx Curve, Convert to xxx curve
# Usage		:   See Tutorial on  'Bezierspline' in PDF format
# Initial Date	:   10 Dec 2007 (original Bezier.rb 8/26/2004)
# Releases	:   08 Jan 2008 -- fixed some bugs in inference drawing
#			:   17 Oct 2008 -- fixed other bugs, cleanup menu and more flexible on icons
#			:   07 Nov 2010 -- fixed bug for performance menu handler
# Credits	        :   CadFather for the toolbar icons
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************

require 'sketchup.rb' 
require 'extensions.rb' 

module Bezierspline

version = "1.4f"
folder = "BZ_Dir_14"
sdate = "23 Jan 2011"

path = File.join(File.dirname(__FILE__), folder, "bezierspline_main.rb") 
if Sketchup.get_locale == "FR"
	ext = SketchupExtension.new("BezierSpline", path) 
	ext.description = "Courbes de Bezier et Splines" 
else
	ext = SketchupExtension.new("BezierSpline", path) 
	ext.description = "Bezier and Splines Curves" 
end	
ext.creator = "Fredo6" 
ext.version = version + " - " + sdate 
ext.copyright = "Fredo6 - \ Sep. 2007 - Dec. 2008" 
Sketchup.register_extension ext, true

end #Module Bezierspline


